{System/conversion/conversion_progress.i}

DEFINE NEW GLOBAL SHARED VARIABLE sp-customercode          AS CHAR   NO-UNDO.

DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR cFile                         AS CHARACTER NO-UNDO.

DISABLE TRIGGERS FOR LOAD OF dp-control ALLOW-REPLICATION.

DEFINE BUFFER b-dp-control  FOR dp-control.
DEFINE BUFFER b2-dp-control FOR dp-control.

ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert control codes"
  cTable   = "dp-control"
  iTotal   = 0
  iDone    = 0
  cFile    = ""
  .

DO TRANSACTION:

  FOR EACH b-dp-control WHERE
           b-dp-control.controlname = "CARGODETAILS-MANDATORY" AND
           b-dp-control.controlkey2 = ""
           EXCLUSIVE-LOCK:

      CREATE b2-dp-control.
      ASSIGN b2-dp-control.controlname = "SEALNR_SHIPPER-MANDATORY"
             b2-dp-control.controlgroup = "IMPORT-EXPORT"
             b2-dp-control.controlkey1 = b-dp-control.controlkey1
           b2-dp-control.controlvalue = b-dp-control.controlvalue
             .

      CREATE b2-dp-control.
      ASSIGN b2-dp-control.controlname = "GROSSWEIGHT-MANDATORY"
             b2-dp-control.controlgroup = "IMPORT-EXPORT"
             b2-dp-control.controlkey1 = b-dp-control.controlkey1
           b2-dp-control.controlvalue = b-dp-control.controlvalue
             .

      IF sp-customercode = "Kanoo" OR sp-customercode = "IMA"
      THEN b2-dp-control.controlvalue = "NO".

    DELETE b-dp-control.

    iDone = iDone + 1.
    RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

  END.

END.

OUTPUT CLOSE.

iTotal = iDone.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).






